libsigc++ 2.0: limit_reference.h File Reference

Main Page Groups Namespaces

# limit_reference.h File Reference

## Namespaces
namespace | sigc
## Functions
template<class T_action, class T_type, bool I_derives_trackable>
void | visit_each (const T_action& _A_action, const limit_reference<T_type, I_derives_trackable>& _A_target)
| Implementation of visit_each() specialized for the limit_reference class, to call visit_each() on the entity returned by the limit_reference's visit() method.
template<class T_action, class T_type, bool I_derives_trackable>
void | visit_each (const T_action& _A_action, const const_limit_reference<T_type, I_derives_trackable>& _A_target)
| Implementation of visit_each() specialized for the const_limit_reference class, to call visit_each() on the entity returned by the const_limit_reference's visit() method.
template<class T_action, class T_type, bool I_derives_trackable>
void | visit_each (const T_action& _A_action, const volatile_limit_reference<T_type, I_derives_trackable>& _A_target)
| Implementation of visit_each() specialized for the volatile_limit_reference class, to call visit_each() on the entity returned by the volatile_limit_reference's visit() method.
template<class T_action, class T_type, bool I_derives_trackable>
void | visit_each (const T_action& _A_action, const const_volatile_limit_reference<T_type, I_derives_trackable>& _A_target)
| Implementation of visit_each() specialized for the const_volatile_limit_reference class, to call visit_each() on the entity returned by the const_volatile_limit_reference's visit() method.

## Function Documentation

template <class T_action, class T_type, bool I_derives_trackable>
void visit_each | ( | const T_action& | _A_action,
|  | const const_volatile_limit_reference<T_type, I_derives_trackable>& | _A_target
| ) |

-   | Implementation of visit_each() specialized for the const_volatile_limit_reference class, to call visit_each() on the entity returned by the const_volatile_limit_reference's visit() method. T_action The type of functor to invoke. T_type The type of the reference. Parameters:
    | _A_action | The functor to invoke.
    | _A_argument | The visited instance.

template <class T_action, class T_type, bool I_derives_trackable>
void visit_each | ( | const T_action& | _A_action,
|  | const volatile_limit_reference<T_type, I_derives_trackable>& | _A_target
| ) |

-   | Implementation of visit_each() specialized for the volatile_limit_reference class, to call visit_each() on the entity returned by the volatile_limit_reference's visit() method. T_action The type of functor to invoke. T_type The type of the reference. Parameters:
    | _A_action | The functor to invoke.
    | _A_argument | The visited instance.

template <class T_action, class T_type, bool I_derives_trackable>
void visit_each | ( | const T_action& | _A_action,
|  | const const_limit_reference<T_type, I_derives_trackable>& | _A_target
| ) |

-   | Implementation of visit_each() specialized for the const_limit_reference class, to call visit_each() on the entity returned by the const_limit_reference's visit() method. T_action The type of functor to invoke. T_type The type of the reference. Parameters:
    | _A_action | The functor to invoke.
    | _A_argument | The visited instance.

template <class T_action, class T_type, bool I_derives_trackable>
void visit_each | ( | const T_action& | _A_action,
|  | const limit_reference<T_type, I_derives_trackable>& | _A_target
| ) |

-   | Implementation of visit_each() specialized for the limit_reference class, to call visit_each() on the entity returned by the limit_reference's visit() method. T_action The type of functor to invoke. T_type The type of the reference. Parameters:
    | _A_action | The functor to invoke.
    | _A_argument | The visited instance.